API Reference - GET /codelist/gsageoloccodes
Page content
The GSA Geographic Locations endpoint returns a list of GSA geographic location values.
Resource
GET /api/codelist/gsageoloccodes
Authorization
No authorization required
Query Parameters
| Name | Description |
|---|---|
| lastmodified | Only return items modified on or after the date supplied. This is an optional field. |
Response
JSON:
{
"CodeList": [{
"ValidValue": [{
"Code": "530539053",
"City": "Dupont",
"USCounty": "Pierce County",
"CountrySubdivision": "WA",
"Country": "US",
"LastModified": "2014-03-10T00:00:00",
"IsDisabled": "No"
}],
"id": "GeoLocCode"
}],
"DateGenerated": "2015-04-05T18:55:44.3995692-04:00"
}
| Name | Type | Description |
|---|---|---|
| Code | String | Geographic location code |
| City | String | City the postal area is located |
| USCounty | String | If US postal code then county the postal code is located |
| CountrySubdivision | String | State, province or territory the postal code is located |
| Country | String | Country the postal code is located |
| LastModified | Date | Date value or code was last modified |
| IsDisabled | String | Has the geographic location code been disabled. Values are Yes or No. |
| DateGenerated | Date | Date of request |
An official website of the United States Government